Subject: Re: [pim] Opsdir last call review of draft-ietf-pim-yang-12

From: Xufeng Liu <[email-masked]>
Date: Mon, 26 Feb 2018 19:36:49 +0000

Hi Jürgen,

Thank you much for the review and comments. We have addressed these issues in the update https://tools.ietf.org/html/draft-ietf-pim-yang-14.

Regards,
- Xufeng

> -----Original Message-----
> From: Jürgen Schönwälder [mailto:[email-masked]]
> Sent: Wednesday, December 20, 2017 4:19 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: Opsdir last call review of draft-ietf-pim-yang-12
> 
> Reviewer: Jürgen Schönwälder
> Review result: Has Issues
> 
> I have reviewed this document both as ops-dir reviewer and as yang doctor. A
> more detailed review has been submitted as part of the yang doctor review.
> Here I am focusing on more general questions from an operational perspective.
> 
> - There are a number of parameters without defined defaults. Is the
>   idea that every vendor augments in their defaults? Would it not
>   overall be simpler if the PIM WG can find agreement on common
>   defaults? (Vendors can still publish deviations I think.)
[Xufeng] Added defaults as suggested.
> 
> - I wonder how these YANG modules relate to the PIM MIB modules. Are
>   for example counters the same or different? I think it would be good
>   if the text would discuss relationship of the YANG modules relate to
>   corresponding MIB modules.
[Xufeng] Added Section 5 to describe the relationship.
> 
> -  There are no example configurations provided, demonstration how, for
>   example, a simple PIM installation would be configured is not
>   present in the document (e.g., as an appendix).
[Xufeng] Added an example in Appendix A.